Module org.hdfgroup.hdfview
Package hdf.view.MetaDataView

# Class MetaDataViewFactory

Object
hdf.view.DataView.DataViewFactory
hdf.view.MetaDataView.MetaDataViewFactory

Direct Known Subclasses:
  `DefaultMetaDataViewFactory`

public abstract class MetaDataViewFactory extends DataViewFactory

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaDataViewFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ImageView`
  `getImageView​(DataViewManager viewer, HashMap dataPropertiesMap)`
  `PaletteView`
  `getPaletteView​(org.eclipse.swt.widgets.Shell parent, DataViewManager viewer, ImageView theImageView)`
  `TableView`
  `getTableView​(DataViewManager viewer, HashMap dataPropertiesMap)`
  `TreeView`
  `getTreeView​(org.eclipse.swt.widgets.Composite parent, DataViewManager viewer)`

  ### Methods inherited from class hdf.view.DataView.DataViewFactory

  `getMetaDataView`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetaDataViewFactory

    public MetaDataViewFactory()

- ## Method Details

  - ### getTableView

    public final TableView getTableView​(DataViewManager viewer, HashMap dataPropertiesMap) throws ClassNotFoundException, UnsupportedOperationException
    Specified by:
      `getTableView` in class `DataViewFactory`
    Throws:
      `ClassNotFoundException`
      `UnsupportedOperationException`

  - ### getImageView

    public final ImageView getImageView​(DataViewManager viewer, HashMap dataPropertiesMap) throws ClassNotFoundException, UnsupportedOperationException
    Specified by:
      `getImageView` in class `DataViewFactory`
    Throws:
      `ClassNotFoundException`
      `UnsupportedOperationException`

  - ### getPaletteView

    public final PaletteView getPaletteView​(org.eclipse.swt.widgets.Shell parent, DataViewManager viewer, ImageView theImageView) throws ClassNotFoundException, UnsupportedOperationException
    Specified by:
      `getPaletteView` in class `DataViewFactory`
    Throws:
      `ClassNotFoundException`
      `UnsupportedOperationException`

  - ### getTreeView

    public final TreeView getTreeView​(org.eclipse.swt.widgets.Composite parent, DataViewManager viewer) throws ClassNotFoundException, UnsupportedOperationException
    Specified by:
      `getTreeView` in class `DataViewFactory`
    Throws:
      `ClassNotFoundException`
      `UnsupportedOperationException`